%File used for the 3D view of the simulation ---------

%Image of the shaded topograpy ----------------------------------------
[gxz,gyz]=gradient(z ,dx_horiz,dx_horiz);
[gxh,gyh]=gradient(h,dx_horiz,dx_horiz);
gx = gxz+gxh;
gy = gyz+gyh;
im_topo = ind2rgb(round((gx-gy)*20+32), gray);


%Image of the flow ----------------------------------------
ma_coul = jet;
ma_coul(1,:)=[0 0 0];
im_flow=ind2rgb( round(h*5), ma_coul);

ind=find(h>0.01);
k=im_topo(:,:,1); k(ind)=im_topo(ind)*0.4;im_topo(:,:,1)=k;
k=im_topo(:,:,2); k(ind)=im_topo(ind)*0.4;im_topo(:,:,2)=k;
k=im_topo(:,:,3); k(ind)=im_topo(ind)*0.4;im_topo(:,:,3)=k;

%Total image
m = im_topo + im_flow*0.7;
ind = find(m>1); m(ind)=1;
ind = find(m<0); m(ind)=0;

%3D visualization of the flow
cla
surf(x,y, (z+h),m);
view(75, 50)
set(gca,'ydir','reverse');
axis equal;
hold on
set(gcf, 'color', 'w')
xlabel('Easting, m')
ylabel('Northing, m')
dd = sprintf('time: %5.1f s', t)
text(50000, 50000, 20000, dd)
set(gca,'ydir','normal');
 
